Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myclass
Class Constructor

    java.lang.Object
      mycompiler.myclass.FieldDecl
          mycompiler.myclass.Method
              mycompiler.myclass.Constructor

All Implemented Interfaces:
  ITypeReplacementListener

    public class Constructor

extends Method

Field Summary

Fields inherited from class mycompiler.myclass.Method
`parameterlist`

Fields inherited from class mycompiler.myclass.FieldDecl
`declid`

Constructor Summary
`Constructor()`

Method Summary
`void` | `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_codegen_Param_Type(de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class mycompiler.myclass.Method
`call_sc_check, get_Block, get_ExceptionList, get_Method_Name, get_Type_Paralist, getLineNumber, getParameterCount, getParameterList, getReturnType, getTypeLineNumber, getTypeName, replaceType, sc_init_parameterlist, set_Block, set_ExceptionList, set_Modifiers, setLineNumber, setParameterList, setReturnType`

Methods inherited from class mycompiler.myclass.FieldDecl
`get_Name, getDeclIdMenge, set_DeclId, setDeclIdMenge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Constructor

    public Constructor()

Method Detail

### get_codegen_Param_Type

    public java.lang.String get_codegen_Param_Type(de.dhbwstuttgart.typeinference.Menge paralist)

  Overrides:
    `get_codegen_Param_Type` in class `Method`

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Overrides:
    `codegen` in class `Method`
  Throws:
    `JVMCodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD